> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yoid.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credential by id



## OpenAPI

````yaml me-creds GET /credentials/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Me Creds API
  description: >2-

          
    OpenAPI documentation for Me Creds API

          
      
    Following JSON:API spec https://jsonapi.org/format/ approach to response
    payload format.

          
     - [JSON - OpenAPI Specification](/me-creds/api/openapi.json)
servers:
  - url: https://test.didxtech.com/me-creds/api
    description: Test environment
security:
  - bearerAuth: []
paths:
  /credentials/{id}:
    get:
      tags:
        - credentials
      summary: Get credential by id
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Credential resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialIssuanceApiResponse'
        '404':
          description: Credential not found
components:
  schemas:
    CredentialIssuanceApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CredentialIssuanceDto'
        links:
          $ref: '#/components/schemas/ApiLinks'
        meta:
          $ref: '#/components/schemas/ApiMeta'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      required:
        - data
    CredentialIssuanceDto:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        error:
          type: string
          nullable: true
        credentials:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              status:
                type: string
              credentialTemplateId:
                type: string
              exchange:
                type: string
              format:
                type: string
              revocable:
                type: boolean
            required:
              - id
              - status
              - credentialTemplateId
              - exchange
              - format
              - revocable
        createdAt:
          type: string
        updatedAt:
          type: string
        offerUri:
          type: string
          format: uri
        offerQrUri:
          type: string
          format: uri
      required:
        - id
        - status
        - error
        - credentials
        - createdAt
        - updatedAt
        - offerUri
        - offerQrUri
      example:
        id: cm7d9cq5600pwk3zq3kmpg8uc
        status: offered
        error: null
        credentials:
          - id: cm7d9cq5600pzk3zq9wzxxtc3
            status: offered
            credentialTemplateId: cm2ytsdid009u4ke3t30aiuvc
            exchange: openid4vc
            format: sd-jwt-vc
            revocable: false
        createdAt: '2025-02-20T11:27:37.051Z'
        updatedAt: '2025-02-20T11:27:37.051Z'
        offerUri: >-
          https://paradym.id/invitation?credential_offer_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue
        offerQrUri: >-
          https://paradym.id/invitation?credential_offer_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue&qr=true
    ApiLinks:
      type: object
      properties:
        self:
          type: string
          format: uri
        first:
          type: string
          format: uri
        last:
          type: string
          format: uri
        prev:
          type: string
          format: uri
        next:
          type: string
          format: uri
        related:
          type: string
          format: uri
    ApiMeta:
      type: object
      additionalProperties:
        nullable: true
    ApiError:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          additionalProperties:
            nullable: true
      required:
        - detail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````